<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:orientation="vertical"
    app:layout_behavior="@string/appbar_scrolling_view_behavior"
    tools:context=".dailyactivity.ConsumerReturnActivity"
    tools:showIn="@layout/activity_consumer_return">

    <ScrollView
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginBottom="?actionBarSize">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical">

            <androidx.cardview.widget.CardView
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_margin="@dimen/margin1dp"
                app:cardBackgroundColor="@color/white"
                app:cardCornerRadius="@dimen/custom_margin"
                app:cardElevation="2dp">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_margin="@dimen/padding_10dp"
                    android:orientation="vertical">

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginRight="2dp"
                        android:layout_marginBottom="@dimen/custom_margin"
                        android:orientation="horizontal"
                        android:weightSum="10">

                        <TextView
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center_vertical"
                            android:layout_weight="4"
                            android:gravity="center_vertical"
                            android:padding="@dimen/text_margin_10dp"
                            android:text="Customer Name"
                            android:textColor="@color/grayfor_login"
                            android:textSize="@dimen/text_size_medium" />

                        <EditText
                            android:id="@+id/edt_customer"
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center_vertical"
                            android:layout_weight="6"
                            android:background="@drawable/rouded_corner_edt"
                            android:gravity="center_vertical"
                            android:hint="Customer Name"
                            android:inputType="text"
                            android:maxLength="30"
                            android:padding="@dimen/text_margin_10dp"
                            android:textColor="@color/grayfor_login"
                            android:textSize="@dimen/text_size_medium" />


                    </LinearLayout>

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="5dp"
                        android:layout_marginRight="2dp"
                        android:layout_marginBottom="@dimen/custom_margin"
                        android:orientation="horizontal"
                        android:weightSum="10">

                        <TextView
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center_vertical"
                            android:layout_weight="4"
                            android:gravity="center_vertical"
                            android:padding="@dimen/text_margin_10dp"
                            android:text="Bill Number"
                            android:textColor="@color/grayfor_login"
                            android:textSize="@dimen/text_size_medium" />

                        <EditText
                            android:id="@+id/edt_bill_no"
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center_vertical"
                            android:layout_weight="6"
                            android:background="@drawable/rouded_corner_edt"
                            android:gravity="center_vertical"
                            android:hint="Bill Number"
                            android:inputType="text"
                            android:maxLength="20"
                            android:padding="@dimen/text_margin_10dp"
                            android:textColor="@color/grayfor_login"
                            android:textSize="@dimen/text_size_medium" />


                    </LinearLayout>

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="5dp"
                        android:layout_marginRight="2dp"
                        android:layout_marginBottom="10dp"
                        android:orientation="horizontal"
                        android:weightSum="10">

                        <TextView
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center_vertical"
                            android:layout_weight="4"
                            android:gravity="center_vertical"
                            android:padding="@dimen/text_margin_10dp"
                            android:text="Mobile Number"
                            android:textColor="@color/grayfor_login"
                            android:textSize="@dimen/text_size_medium" />

                        <EditText
                            android:id="@+id/edt_mobile_no"
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center_vertical"
                            android:layout_weight="6"
                            android:background="@drawable/rouded_corner_edt"
                            android:gravity="center_vertical"
                            android:hint="Mobile No."
                            android:imeOptions="actionDone"
                            android:inputType="number"
                            android:maxLength="10"
                            android:padding="@dimen/text_margin_10dp"
                            android:textColor="@color/black"
                            android:textSize="@dimen/text_size_medium" />

                    </LinearLayout>

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="5dp"
                        android:layout_marginBottom="10dp"
                        android:orientation="horizontal"
                        android:weightSum="10">

                        <TextView
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center_vertical"
                            android:layout_weight="4"
                            android:gravity="center_vertical"
                            android:padding="@dimen/text_margin_10dp"
                            android:text="Enter Email"
                            android:textColor="@color/grayfor_login"
                            android:textSize="@dimen/text_size_16sp" />

                        <EditText
                            android:id="@+id/edt_email_address"
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center_vertical"
                            android:layout_weight="6"
                            android:background="@drawable/rouded_corner_edt"
                            android:gravity="center_vertical"
                            android:hint="Email"
                            android:inputType="textEmailAddress"
                            android:maxLength="80"
                            android:padding="@dimen/text_margin_10dp"
                            android:textColor="@color/black"
                            android:textSize="@dimen/text_size_16sp" />

                    </LinearLayout>

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_margin="@dimen/custom_margin3dp"
                        android:layout_marginBottom="@dimen/custom_margin"
                        android:orientation="horizontal"
                        android:weightSum="10">

                        <TextView
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center_vertical"
                            android:layout_weight="2"
                            android:gravity="center_vertical"
                            android:textColor="@color/grayfor_login"
                            android:textSize="@dimen/text_size_medium"
                            android:visibility="invisible" />

                        <TextView
                            android:id="@+id/txt_history"
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center"
                            android:layout_weight="6"
                            android:gravity="center"
                            android:text="@string/my_text"
                            android:textColor="@color/blue"
                            android:textSize="@dimen/text_size_medium"
                            android:textStyle="normal" />


                        <TextView
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center_vertical"
                            android:layout_weight="2"
                            android:gravity="center_vertical"
                            android:textColor="@color/grayfor_login"
                            android:textSize="@dimen/text_size_medium"
                            android:visibility="invisible" />
                    </LinearLayout>

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="@dimen/custom_layout_margin_50"
                        android:layout_marginRight="@dimen/custom_layout_margin_50"
                        android:layout_marginBottom="5dp"
                        android:orientation="horizontal"
                        android:weightSum="10">


                        <RadioGroup
                            android:id="@+id/radioGrp"
                            android:layout_width="fill_parent"
                            android:layout_height="wrap_content"
                            android:orientation="horizontal"
                            android:padding="@dimen/custom_margin"
                            android:weightSum="3">

                            <RadioButton
                                android:id="@+id/radioM"
                                android:layout_width="0dp"
                                android:layout_height="wrap_content"
                                android:layout_gravity="left"
                                android:layout_weight="1"
                                android:buttonTint="@color/colorPrimary"
                                android:checked="true"
                                android:text="Male"
                                android:textSize="@dimen/text_size_medium" />

                            <RadioButton
                                android:id="@+id/radioF"
                                android:layout_width="0dp"
                                android:layout_height="wrap_content"
                                android:layout_gravity="right"
                                android:layout_weight="1"
                                android:buttonTint="@color/colorPrimary"
                                android:checked="false"
                                android:text="Female"
                                android:textSize="@dimen/text_size_medium" />

                            <RadioButton
                                android:id="@+id/radio_other"
                                android:layout_width="0dp"
                                android:layout_height="wrap_content"
                                android:layout_gravity="right"
                                android:layout_weight="1"
                                android:buttonTint="@color/colorPrimary"
                                android:checked="false"
                                android:text="Other"
                                android:textSize="@dimen/text_size_medium" />
                        </RadioGroup>
                    </LinearLayout>

                    <LinearLayout
                        android:id="@+id/rl_send_otp"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="@dimen/custom_margin"
                        android:layout_marginRight="2dp"
                        android:layout_marginBottom="@dimen/custom_margin"
                        android:orientation="horizontal"
                        android:weightSum="10">

                        <Button
                            android:id="@+id/btn_send_otp"
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_marginLeft="@dimen/custom_margin"
                            android:layout_weight="3"
                            android:background="@drawable/rouded_corner_btn_cons"
                            android:padding="@dimen/custom_margin"
                            android:text="send otp"
                            android:textAllCaps="true"
                            android:textColor="@color/white"
                            android:textSize="@dimen/text_size_medium"
                            android:textStyle="normal" />


                        <Button
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_weight="3"
                            android:background="@color/dashboard_ach"
                            android:padding="@dimen/custom_margin"
                            android:textAllCaps="true"
                            android:textColor="@color/white"
                            android:textSize="@dimen/text_size_medium"
                            android:textStyle="normal"
                            android:visibility="invisible" />

                        <EditText
                            android:id="@+id/edt_otp"
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_weight="4"
                            android:background="@drawable/rouded_corner_edt"
                            android:hint="Enter OTP"
                            android:imeOptions="actionDone"
                            android:inputType="numberPassword"
                            android:maxLength="4"
                            android:padding="@dimen/text_margin_10dp"
                            android:textColor="@color/grayfor_login"
                            android:textSize="@dimen/text_size_medium" />

                    </LinearLayout>
                    <LinearLayout
                        android:id="@+id/rl_bill_return_img"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_margin="@dimen/custom_layout_margin11"
                        android:orientation="horizontal"
                        android:weightSum="9">

                        <TextView
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center_vertical"
                            android:layout_weight="5"
                            android:gravity="center_vertical"
                            android:padding="@dimen/custom_margin"
                            android:text="Please Click Bill Picture "
                            android:textAllCaps="false"
                            android:textColor="@color/black"
                            android:textSize="@dimen/text_size_16sp" />

                        <ImageView
                            android:id="@+id/img_bill"
                            android:layout_width="0dp"
                            android:layout_height="@dimen/custom_layout_margin_50"
                            android:layout_gravity="center"
                            android:layout_weight="2"
                            android:gravity="center"
                            android:src="@mipmap/camera_star"/>

                        <TextView
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center_vertical"
                            android:layout_weight="2"
                            android:gravity="center_vertical"
                            android:padding="@dimen/custom_margin"
                            android:text="Sale"
                            android:textAllCaps="false"
                            android:textColor="@color/black"
                            android:visibility="invisible"
                            android:textSize="@dimen/text_size_16sp" />
                    </LinearLayout>


                </LinearLayout>

            </androidx.cardview.widget.CardView>


            <androidx.cardview.widget.CardView
                android:id="@+id/card_layout_scan"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_margin="1dp"
                app:cardBackgroundColor="@color/white"
                app:cardCornerRadius="@dimen/custom_margin"
                app:cardElevation="2dp">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="2dp"
                    android:layout_marginTop="@dimen/fab_margin"
                    android:layout_marginRight="2dp"
                    android:orientation="vertical">

                    <TextView
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center_vertical"
                        android:layout_weight="4"
                        android:gravity="center_vertical"
                        android:padding="@dimen/custom_margin"
                        android:text="@string/consumer_return"
                        android:textColor="@color/grayfor_login"
                        android:textSize="@dimen/text_size_medium" />

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_margin="@dimen/padding_10dp"
                        android:orientation="horizontal"
                        android:weightSum="9">

                        <Button
                            android:id="@+id/btn_scan"
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_marginLeft="5dp"
                            android:layout_weight="3"
                            android:background="@drawable/rouded_corner"
                            android:text="Scan"
                            android:textAllCaps="false"
                            android:textColor="@color/white"
                            android:textSize="@dimen/text_size_medium" />

                        <Button
                            android:id="@+id/btn_enter_code"
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_marginLeft="5dp"
                            android:layout_weight="3"
                            android:background="@drawable/rouded_corner"
                            android:text="Enter Code"
                            android:textAllCaps="false"
                            android:textColor="@color/white"
                            android:textSize="@dimen/text_size_medium" />

                        <Button
                            android:id="@+id/btn_sku_list"
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_marginLeft="5dp"
                            android:layout_marginRight="5dp"
                            android:layout_weight="3"
                            android:background="@drawable/rouded_corner"
                            android:text="Sku List"
                            android:textAllCaps="false"
                            android:textColor="@color/white"
                            android:textSize="@dimen/text_size_medium" />
                    </LinearLayout>

                </LinearLayout>
            </androidx.cardview.widget.CardView>

            <androidx.cardview.widget.CardView
                android:id="@+id/card_layout_title"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_margin="@dimen/custom_margin2dp"
                app:cardBackgroundColor="@color/white"
                app:cardCornerRadius="@dimen/custom_margin"
                app:cardElevation="2dp">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_margin="10dp"
                    android:orientation="horizontal"
                    android:weightSum="9">

                    <TextView
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center_vertical"
                        android:layout_weight="3"
                        android:gravity="center_vertical"
                        android:padding="6dp"
                        android:text="Item Sold"
                        android:textColor="@color/grayfor_login"
                        android:textSize="@dimen/text_size_medium" />

                    <TextView
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center"
                        android:layout_weight="1.5"
                        android:gravity="center"
                        android:padding="6dp"
                        android:text="Actual QTY"
                        android:textColor="@color/grayfor_login"
                        android:textSize="@dimen/text_size_medium" />

                    <TextView
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center"
                        android:layout_weight="1.5"
                        android:gravity="center"
                        android:padding="6dp"
                        android:text="QTY"
                        android:textColor="@color/grayfor_login"
                        android:textSize="@dimen/text_size_medium" />

                    <TextView
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center"
                        android:layout_weight="2"
                        android:gravity="center"
                        android:padding="6dp"
                        android:text="Amount"
                        android:textColor="@color/grayfor_login"
                        android:textSize="@dimen/text_size_medium" />

                    <TextView
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center"
                        android:layout_weight="1"
                        android:gravity="center"
                        android:padding="6dp"
                        android:text="Remove"
                        android:textColor="@color/grayfor_login"
                        android:textSize="@dimen/text_size_medium" />
                </LinearLayout>
            </androidx.cardview.widget.CardView>

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/drawer_layout_recycle_store"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_margin="@dimen/custom_margin" />
        </LinearLayout>
    </ScrollView>
</LinearLayout>
